# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_CartesianPoint Class Reference

`#include <PGeom2d_CartesianPoint.hxx>`

Inheritance diagram for PGeom2d_CartesianPoint:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom2d_CartesianPoint ()
| Returns a CartesianPoint with default values.. .
Standard_EXPORT | PGeom2d_CartesianPoint (const gp_Pnt2d &aPnt2d)
| Returns a CartesianPoint built with <apnt2d>. .
Standard_EXPORT void | Pnt (const gp_Pnt2d &aPnt2d)
| Set the field Pnt2d. .
Standard_EXPORT gp_Pnt2d | Pnt () const
| Returns the value of the field Pnt2d. .
| PGeom2d_CartesianPoint (const Storage_stCONSTclCOM &a)
const gp_Pnt2d & | _CSFDB_GetPGeom2d_CartesianPointpnt () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt2d | pnt

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_CartesianPoint::PGeom2d_CartesianPoint | ( |  | ) |

Standard_EXPORT PGeom2d_CartesianPoint::PGeom2d_CartesianPoint | ( | const gp_Pnt2d & | aPnt2d | ) |

PGeom2d_CartesianPoint::PGeom2d_CartesianPoint | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Pnt2d& PGeom2d_CartesianPoint::_CSFDB_GetPGeom2d_CartesianPointpnt | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom2d_CartesianPoint::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Point.

Standard_EXPORT gp_Pnt2d PGeom2d_CartesianPoint::Pnt | ( |  | ) | const

Standard_EXPORT void PGeom2d_CartesianPoint::Pnt | ( | const gp_Pnt2d & | aPnt2d | ) |

## Field Documentation

gp_Pnt2d PGeom2d_CartesianPoint::pnt `[private]`

The documentation for this class was generated from the following file:

- PGeom2d_CartesianPoint.hxx